import { i as t } from "../../../xtend/immutable.mjs";
import { s as v } from "./schema.mjs";
var n = t, s = v, i = h;
function h(a) {
  for (var o = a.length, e = [], p = [], m = -1, r, l; ++m < o; )
    r = a[m], e.push(r.property), p.push(r.normal), l = r.space;
  return new s(n.apply(null, e), n.apply(null, p), l);
}
export {
  i as m
};
